中危 netsurf-browser libnsbmp 跨界内存读

CVE编号

CVE-2015-7507

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-02-19
漏洞描述
Libnsbmp是一款使用C语言编写的、用于BMP和ICO图像文件格式的解码库。

Libnsbmp 0.1.2版本中的libnsbmp.c文件存在缓冲区溢出漏洞。攻击者可通过向‘bmp_decode_rgb’或‘bmp_decode_rle’函数发送特制的颜色表利用该漏洞造成拒绝服务。
解决建议
目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:
https://www.netsurf-browser.org/projects/libnsbmp/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netsurf-browser libnsbmp 0.1.2 -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
3.2+dfsg-3
运行在以下环境
系统 debian_11 netsurf * Up to
(excluding)
3.2+dfsg-3
运行在以下环境
系统 debian_12 netsurf * Up to
(excluding)
3.2+dfsg-3
阿里云评分
6.3
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-125 跨界内存读
阿里云安全产品覆盖情况